/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class FloorRequest {
    public id: string;

    public version: number;

    public name: string;

    public fields: string;

    public timeZone: string;

    /**
     * Creates a FloorRequest.
     *
     * @param {string} id
     * @param {number} version
     * @param {string} name
     * @param {string} fields
     * @param {string} timeZone
     */
    constructor(id: string, version: number, name: string, fields: string, timeZone: string) {
        this.id = id;
        this.version = version;
        this.name = name;
        this.fields = fields;
        this.timeZone = timeZone;
    }
}
